Cup of Linux

Tutorials => HOW TO: User submissions => Topic started by: EricG on October 09, 2018, 08:13:32 PM

Title: How to get Wolfenstein: Enemy Territory running on Debian/Ubuntu
Post by: EricG on October 09, 2018, 08:13:32 PM
The reason I'm posting this is because all guides regarding the dependencies seem to be outdated. So I hunted everything down and made this guide.

1. Installing Dependencies
Run the following commands as root/super user:


Code: You are not allowed to view links. Register or Login
dpkg --add-architecture i386
Code: You are not allowed to view links. Register or Login
apt update
Code: You are not allowed to view links. Register or Login
apt install libc6:i386 libdrm2:i386 libexpat1:i386 libgcc1:i386 libglu1-mesa:i386 libglapi-mesa:i386 libglu1-mesa:i386 libstdc++6:i386 libx11-6:i386 libx11-xcb1:i386 libxau6:i386 libxcb1:i386 libxcb-dri2-0:i386 libxcb-dri3-0:i386 libxcb-glx0:i386 libxcb-present0:i386 libxcb-sync1:i386 libxdamage1:i386 libxdmcp6:i386 libxext6:i386 libxfixes3:i386 libxshmfence1:i386 libxxf86vm1:i386 libasound2:i386, libasound2-plugins:i386 libsdl2-2.0-0:i386 libtxc-dxtn-s2tc0:i386

2. Downloading ET: Legacy
Since the original client is outdated and uses OSS instead of Alsa, you'll want to use this (https://www.etlegacy.com/download).

MAKE SURE YOU DOWNLOAD THE 32-BIT INSTALLER! The 64-bit version isn't compatible with like 80% of the servers.

3. Installing
Make the script executable and run it. The instructions are pretty straightforward. just a couple notes though:

- DO NOT attempt to overwrite any previous installation.
- Make sure you say yes when it asks you to download and install the Enemy Territory files
Title: Re: How to get Wolfenstein: Enemy Territory running on Debian/Ubuntu
Post by: Spatry on October 09, 2018, 08:52:40 PM
Arch/Manjaro users can build it from the AUR (https://aur.archlinux.org/packages/?O=0&SeB=nd&K=enemy+territory&outdated=&SB=n&SO=a&PP=50&do_Search=Go) and get the package snapshots you want... Extract to a temp directory and run makepkg to build them or do it the unsupported way with trizen, yaourt or yay.